import {
  AfterContentInit, Component, Input,
  OnInit
} from '@angular/core';
import {Probe} from '@overflow/commons-typescript/model/probe';

@Component({
  selector: 'of-discovery',
  templateUrl: './discovery.component.html',
})
export class DiscoveryComponent implements OnInit, AfterContentInit {

  @Input() probeHosts;

  private tabIdx: number;
  selectedProbe: Probe;

  constructor(
  ) {
  }

  ngOnInit() {
  }

  ngAfterContentInit() {
  }

  onTabClose(event) {

  }

  OnTabOpen(event) {
    this.tabIdx = event.index;
  }

  onFilterResultOpen() {

  }

  onDiscoveryStart() {
    console.log('dddddddddddddd');
  }

  onSelectedProbe(probe) {
    console.log(probe);
    this.selectedProbe = probe;
  }

  onProbeSelect(probe) {
    console.log(probe);
  }
}
